- Home
- API Enriched
- Network
- operate
- Show Routes.
Show Routes.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/routes';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"cluster_wide":{},"family":"INET4","namespace":"example","node":"example","prefix":{"prefix":["example"]},"segment":"example","site":"example","vn":"example","vn_type":"VIRTUAL_NETWORK_SITE_LOCAL"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/routes \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "cluster_wide": {}, "family": "INET4", "namespace": "example", "node": "example", "prefix": { "prefix": [ "example" ] }, "segment": "example", "site": "example", "vn": "example", "vn_type": "VIRTUAL_NETWORK_SITE_LOCAL" }'Show VER routes matching the request.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site for which request is sent.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET list of VER routes matching the request.
object
object
Namespace for which the request is sent (system)
Exclusive with [cluster_wide] Fetch routes from this node.
object
IP Address prefix in string format. String must contain both prefix and prefix-length.
Exclusive with [vn vn_type] Name of Segment for which routes are required.
Name of the site for which request is sent.
Exclusive with [segment vn_type] Name of Virtual Network for which routes are required.
Responses
Section titled “Responses”A successful response.
List of routes from ver instances in the site.
object
Routes from ver instance.
Matching routes from VER.
object
Host name of VER instance.
Route information.
Route information.
object
Route Flags.
Associated Label.
Nexthop identifier.
Nexthop information.
Route prefix.
Examplegenerated
{ "ver_routes": [ { "node": "example", "route": [ { "flags": "example", "label": 1, "nh": 1, "nh_info": "example", "prefix": "example" } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example